package main

import (
	"log/slog"
	"os"

	"git.schreifuchs.ch/schreifuchs/schreifuchs.ch/internal/server"
)

func main() {
	server := server.NewServer()

	slog.Info("Server started", "addr", server.Addr)

	err := server.ListenAndServe()
	if err != nil {
		slog.Error("Server failed to start", "error", err)
		os.Exit(1)
	}
}